curl --request POST \
--url https://api.nonce.app/public-api/v2/workspaces/{workspace_id}/farms/{farm_id}/miners/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": {
"in": [
"online"
]
},
"tags": {
"in": [
"maintenance"
]
},
"mining_mode": {
"in": [
"sleep"
]
},
"network_mode": {
"in": [
"dhcp",
"unknown"
]
},
"search": {
"field": "worker_name",
"value": "S19"
},
"sort": [
{
"field": "hashrate",
"direction": "desc"
}
],
"hashrate": {
"gt": 100,
"lt": 500
},
"power": {
"gt": 100,
"lt": 500
},
"temperature": {
"gt": 100,
"lt": 500
},
"efficiency": {
"gt": 100,
"lt": 500
},
"runtime": {
"gt": 100,
"lt": 500
},
"hashrate_realization": {
"lt": 0.8
},
"last_updated_at": {
"gt": "2026-08-17T03:00:00.000Z"
},
"rack": "<string>",
"ip_ranges": [
"<string>"
],
"anomaly_flags": {
"in": [
"online",
"offline"
]
},
"page": 1,
"page_size": 20
}
'import requests
url = "https://api.nonce.app/public-api/v2/workspaces/{workspace_id}/farms/{farm_id}/miners/search"
payload = {
"status": { "in": ["online"] },
"tags": { "in": ["maintenance"] },
"mining_mode": { "in": ["sleep"] },
"network_mode": { "in": ["dhcp", "unknown"] },
"search": {
"field": "worker_name",
"value": "S19"
},
"sort": [
{
"field": "hashrate",
"direction": "desc"
}
],
"hashrate": {
"gt": 100,
"lt": 500
},
"power": {
"gt": 100,
"lt": 500
},
"temperature": {
"gt": 100,
"lt": 500
},
"efficiency": {
"gt": 100,
"lt": 500
},
"runtime": {
"gt": 100,
"lt": 500
},
"hashrate_realization": { "lt": 0.8 },
"last_updated_at": { "gt": "2026-08-17T03:00:00.000Z" },
"rack": "<string>",
"ip_ranges": ["<string>"],
"anomaly_flags": { "in": ["online", "offline"] },
"page": 1,
"page_size": 20
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
status: {in: ['online']},
tags: {in: ['maintenance']},
mining_mode: {in: ['sleep']},
network_mode: {in: ['dhcp', 'unknown']},
search: {field: 'worker_name', value: 'S19'},
sort: [{field: 'hashrate', direction: 'desc'}],
hashrate: {gt: 100, lt: 500},
power: {gt: 100, lt: 500},
temperature: {gt: 100, lt: 500},
efficiency: {gt: 100, lt: 500},
runtime: {gt: 100, lt: 500},
hashrate_realization: {lt: 0.8},
last_updated_at: {gt: '2026-08-17T03:00:00.000Z'},
rack: '<string>',
ip_ranges: ['<string>'],
anomaly_flags: {in: ['online', 'offline']},
page: 1,
page_size: 20
})
};
fetch('https://api.nonce.app/public-api/v2/workspaces/{workspace_id}/farms/{farm_id}/miners/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": "<string>",
"workspace_id": "<string>",
"farm_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"serial_number": "<string>",
"make": "<string>",
"model": "<string>",
"ip": "<string>",
"mac": "<string>",
"worker_name": "<string>",
"rack": "<string>",
"position": 0,
"is_mining": true,
"status": "online",
"tags": [
"<string>"
],
"mining_mode": "<string>",
"mining_mode_preset": "<string>",
"hashrate": 123,
"expected_hashrate": 123,
"power": 123,
"temperature": 123,
"efficiency": 123,
"anomaly_flags": 0,
"uptime": 123,
"last_updated_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"total": 4503599627370495,
"page": 123,
"page_size": 123,
"total_pages": 4503599627370495
},
"error": null
}{
"success": false,
"data": null,
"error": {
"code": "VALIDATION_ERROR",
"message": "Validation failed"
}
}{
"success": false,
"data": null,
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or missing credential"
}
}{
"success": false,
"data": null,
"error": {
"code": "FORBIDDEN",
"message": "Access denied"
}
}{
"success": false,
"data": null,
"error": {
"code": "FARM_NOT_FOUND",
"message": "Farm not found"
}
}{
"success": false,
"data": null,
"error": {
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error"
}
}Search Miners
Search miners in the farm with structured filters.
Authorizations
Clerk OAuth JWT access token
Path Parameters
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
Filter by system-managed miner reporting status
Show child attributes
Show child attributes
{ "in": ["online"] }
Filter by exact operator-managed miner tags
Show child attributes
Show child attributes
{ "in": ["maintenance"] }
Filter by exact raw mining mode values
Show child attributes
Show child attributes
{ "in": ["sleep"] }
Filter by network mode. unknown matches miners whose firmware does not report a mode or that have not been collected yet.
Show child attributes
Show child attributes
{ "in": ["dhcp", "unknown"] }
Structured search against one miner field
- Miner Field Search
- Miner Global Search
Show child attributes
Show child attributes
{ "field": "worker_name", "value": "S19" }
Ordered miner sort clauses
1Show child attributes
Show child attributes
[
{ "field": "hashrate", "direction": "desc" }
]
Hashrate range in H/s
Show child attributes
Show child attributes
{ "gt": 100, "lt": 500 }
Power range in watts
Show child attributes
Show child attributes
{ "gt": 100, "lt": 500 }
Temperature range in celsius
Show child attributes
Show child attributes
{ "gt": 100, "lt": 500 }
Efficiency range in J/TH
Show child attributes
Show child attributes
{ "gt": 100, "lt": 500 }
Runtime range in seconds
Show child attributes
Show child attributes
{ "gt": 100, "lt": 500 }
Hashrate realization ratio range, where 0.8 means 80%
Show child attributes
Show child attributes
{ "lt": 0.8 }
Last report timestamp range
Show child attributes
Show child attributes
{ "gt": "2026-08-17T03:00:00.000Z" }
Exact rack identifier
110^(?:(?:(25[0-5]|2[0-4]\d|[01]?\d\d?)\.){3}(25[0-5]|2[0-4]\d|[01]?\d\d?)\/(?:3[0-2]|[12]?\d)|(?:(25[0-5]|2[0-4]\d|[01]?\d\d?)\.){3}(25[0-5]|2[0-4]\d|[01]?\d\d?)-(?:(25[0-5]|2[0-4]\d|[01]?\d\d?)\.){3}(25[0-5]|2[0-4]\d|[01]?\d\d?)|(?:(25[0-5]|2[0-4]\d|[01]?\d\d?)\.){3}(25[0-5]|2[0-4]\d|[01]?\d\d?))$Filter by anomaly type. Uses bitmask matching against the anomaly_flags field.
Show child attributes
Show child attributes
{ "in": ["fan", "power"] }
x <= 9007199254740991x <= 10000